/* General Section Styling */
.tags {
    padding: 60px 20px;
    background: linear-gradient(to right, hsla(222, 47%, 11%, 1), hsla(222, 44%, 13%, 1));
    text-align: center;
}

.tags .section-title {
    font-size: 2rem;
    font-weight: bold;
    color: #fff;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.tags .section-text {
    font-size: 1.2rem;
    color: #fff;
    margin-bottom: 30px;
}

/* Grid Layout */
.grid-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    gap: 20px;
    justify-content: center;
    padding: 0;
    list-style: none;
}

/* Card Styling */
.tag-btn {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 15px;
    color: #fff;
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.2);

    background:hsla(222, 44%, 13%, 1);
    border: 2px solid hsla(222, 44%, 13%, 1);
    border-radius: 12px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    cursor: pointer;
    width: 100%;
}

.tag-btn img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    object-fit: cover;
    margin-bottom: 10px;
    transition: transform 0.3s ease-in-out;
}

.tag-btn:hover img {
    transform: scale(1.1);
}

.tag-btn .btn-text {
    font-size: 1rem;
    font-weight: bold;
    color: #fff;
    margin-top: 5px;
    transition: color 0.3s ease-in-out;
    text-decoration: none;
}

.tag-btn:hover {
    transform: translateY(-5px);
    box-shadow: 0 4px 10px hsla(199, 89%, 49%, 1);

    border-color: #888;
}

.tag-btn:hover .btn-text {
    color: #007BFF;
}
#button{
    height:7rem;
    margin-bottom: 4rem;
}
